SDL_WaitSemaphoreTimeout(3)

NAME
SDL_WaitSemaphoreTimeout - Wait until a semaphore has a positive value and then decrements it.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_WaitSemaphoreTimeout(SDL_Semaphore *sem, Sint32 timeoutMS);

DESCRIPTION
This function suspends the calling thread until either the semaphore pointed to by sem has a positive value, the call is interrupted by a signal or error, or the specified time has elapsed. If the call is successful it will atomically decrement the semaphore value.

FUNCTION PARAMETERS

sem the semaphore to wait on

timeoutMS
    the length of the timeout, in milliseconds

RETURN VALUE
Returns 0 if the wait succeeds, SDL_MUTEX_TIMEDOUT if the wait does not succeed in the allotted time, or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_PostSemaphore(3), SDL_TryWaitSemaphore(3), SDL_WaitSemaphore(3)